#ifndef BISON_DOCSIS_YY_TAB_H
# define BISON_DOCSIS_YY_TAB_H

#ifndef YYSTYPE
typedef union { 	/* Token types */
	int intval;		/* For integers */
	unsigned int uintval;		/* For integers */
	symbol_type *symptr; 		/* For token identifiers */
	char *strval;		 	/* For strings */
	unsigned char *ustrval; 	/* For other any other types */
	unsigned int ip;		/* For IP Addresses */
	struct tlv_list *tlvlist; 	/* For for struct tlvlist pointers */
	struct tlv *tlvptr;		/* For struct tlv pointers; */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	T_IDENTIFIER	257
# define	T_INTEGER	258
# define	T_IDENT_COS	259
# define	T_IDENT_BPI	260
# define	T_IDENT_SNMPW	261
# define	T_IDENT_SNMPSET	262
# define	T_IDENT_GENERIC	263
# define	T_ETHERMASK	264
# define	T_LABEL_OID	265
# define	T_IP	266
# define	T_MAC	267
# define	T_MAIN	268
# define	T_STRING	269
# define	T_HEX_STRING	270
# define	T_ASNTYPE_INT	271
# define	T_ASNTYPE_UINT	272
# define	T_ASNTYPE_GAUGE	273
# define	T_ASNTYPE_TICKS	274
# define	T_ASNTYPE_IP	275
# define	T_ASNTYPE_OBJID	276
# define	T_ASNTYPE_STRING	277
# define	T_ASNTYPE_HEXSTR	278
# define	T_ASNTYPE_DECSTR	279
# define	T_ASNTYPE_BITSTR	280
# define	T_ASNTYPE_BIGINT	281
# define	T_ASNTYPE_UBIGINT	282
# define	T_ASNTYPE_FLOAT	283
# define	T_ASNTYPE_DOUBLE	284
# define	T_TLV_CODE	285
# define	T_TLV_LENGTH	286
# define	T_TLV_VALUE	287


extern YYSTYPE yylval;

#endif /* not BISON_DOCSIS_YY_TAB_H */
